io.milvus.param.resourcegroup

## Class DropResourceGroupParam.Builder

- java.lang.Object
- - io.milvus.param.resourcegroup.DropResourceGroupParam.Builder

Enclosing class:
  DropResourceGroupParam

    public static final class DropResourceGroupParam.Builder
    extends java.lang.Object

Builder for `DropResourceGroupParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DropResourceGroupParam` `build()` Verifies parameters and creates a new `DropResourceGroupParam` instance.
`DropResourceGroupParam.Builder` `withGroupName(@NonNull java.lang.String groupName)` Sets the group name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withGroupName

    public DropResourceGroupParam.Builder withGroupName(@NonNull
                                                        @NonNull java.lang.String groupName)

Sets the group name. group name cannot be empty or null.

Parameters:
  `groupName` - group name
Returns:
  `Builder`

#### build

    public DropResourceGroupParam build()
                                 throws ParamException

Verifies parameters and creates a new `DropResourceGroupParam` instance.

Returns:
  `DropResourceGroupParam`
Throws:
  `ParamException`